%define upstream_name    XML-CompareML
%define upstream_version 0.2.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate the DTD for CompareML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::Common)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 07 2020 tv <tv> 0.2.13-1.mga8
+ Revision: 1632488
- update to 0.2.13

* Wed Feb 12 2020 umeabot <umeabot> 0.2.12-3.mga8
+ Revision: 1506988
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.12-2.mga7
+ Revision: 1287296
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 0.2.12-1.mga7
+ Revision: 1226490
- update to 0.2.12

* Sun Jun 19 2016 pterjan <pterjan> 0.2.9-5.mga6
+ Revision: 1035893
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.9-4.mga6
+ Revision: 947940
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.9-3.mga5
+ Revision: 744898
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.9-2.mga5
+ Revision: 686902
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.2.9-1.mga5
+ Revision: 581392
- update to v0.2.9

* Sat Oct 19 2013 umeabot <umeabot> 0.2.8-2.mga4
+ Revision: 532286
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 0.2.8-1.mga4
+ Revision: 467759
- update to v0.2.8

* Sat Jun 01 2013 shlomif <shlomif> 0.2.7-1.mga4
+ Revision: 434131
- New version 0.2.7
- New version 0.2.7

* Sun Jan 13 2013 umeabot <umeabot> 0.2.6-2.mga3
+ Revision: 374962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.2.6-1.mga3
+ Revision: 277645
- imported package perl-XML-CompareML

